#
# spec file for package ssdp-responder
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2018, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ssdp-responder
Version:        1.5
Release:        2.1
Summary:        SSDP responder for Linux
License:        ISC
Group:          Productivity/Networking/Other
URL:            https://github.com/troglobit/ssdp-responder
#Git-Clone:     https://github.com/troglobit/ssdp-responder.git
Source:         https://github.com/troglobit/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake

%description
ssdpd is a stand-alone daemon that implements the Simple Service
Discovery Protocol (SSDP) for use by networked Linux devices that
want to announce themselves to systems running Windows. ssdpd has a
built-in web server for serving the UPnP XML description which
Windows uses to present the icon when an InternetGatewayDevice is
announced.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install
rm -rf %{buildroot}/%{_datadir}/doc

%files
%doc README.md
%license LICENSE
%{_sbindir}/ssdpd

%changelog
* Sun Jul 29 2018 jengelh@inai.de
- Fix write style of description.
* Mon Jun 18 2018 mardnh@gmx.de
- Initial package, version 1.5
